Pular para o conteúdo principal
POST
/
cms
/
pages
/
2026-03
/
site-pages
/
batch
/
update
Atualizar páginas do site
curl --request POST \
  --url https://api.hubapi.com/cms/pages/2026-03/site-pages/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "inputs": [
    {}
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "abStatus": "automated_loser_variant",
      "abTestId": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "contentTypeCategory": "0",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentState": "AGENT_GENERATED",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "language": "aa",
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "pageRedirected": true,
      "password": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "slug": "<string>",
      "state": "<string>",
      "subcategory": "<string>",
      "templatePath": "<string>",
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de consulta

archived
boolean

Se apenas os resultados que foram arquivados devem ser retornados.

Corpo

*/*
inputs
object[]
obrigatório

Os nós JSON para inserir.

Resposta

successful operation

completedAt
string<date-time>
obrigatório

A hora em que a operação em lote foi concluída.

results
object[]
obrigatório

Os resultados da operação em lote.

startedAt
string<date-time>
obrigatório

A hora em que a operação em lote foi iniciada.

status
enum<string>
obrigatório

O status da operação em lote.

Opções disponíveis:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Os links associados à operação em lote.

requestedAt
string<date-time>

A hora em que a operação em lote foi solicitada.

Last modified on April 13, 2026